package kro.rubisco.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import kro.rubisco.dto.CategoryDTO;

@Mapper
public interface CategoryDAO {

	public void create(CategoryDTO category) throws Exception;
	
	public CategoryDTO read(Long categoryId) throws Exception;

	public void update(CategoryDTO category) throws Exception;

	public void delete(Long categoryId) throws Exception;

	public List<CategoryDTO> listAll() throws Exception;
}
