package kro.rubisco.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import kro.rubisco.dto.BoardDTO;

@Mapper
public interface BoardDAO {
	
	public void create(BoardDTO board) throws Exception;
	
	public BoardDTO read(Long documentId) throws Exception;

	public void update(BoardDTO board) throws Exception;

	public void delete(Long documentId) throws Exception;

	public List<BoardDTO> listAll() throws Exception;
}
