package kro.rubisco.dao;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import kro.rubisco.dto.GroupDTO;

@Mapper
public interface GroupDAO {
	
	public void create(GroupDTO group) throws Exception;
	
	public GroupDTO read(Long groupId) throws Exception;

	public void update(GroupDTO group) throws Exception;

	public void delete(Long groupId) throws Exception;

	public List<GroupDTO> listAll() throws Exception;
}
